Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.crosstabs
Interface JRCrosstabGroup

All Superinterfaces:
  java.lang.Cloneable, JRCloneable

All Known Subinterfaces:
  JRCrosstabColumnGroup, JRCrosstabRowGroup

All Known Implementing Classes:
  JRBaseCrosstabColumnGroup, JRBaseCrosstabGroup, JRBaseCrosstabRowGroup, JRDesignCrosstabColumnGroup, JRDesignCrosstabGroup, JRDesignCrosstabRowGroup, JRFillCrosstabColumnGroup, JRFillCrosstabGroup, JRFillCrosstabRowGroup

    public interface JRCrosstabGroup

extends JRCloneable

Base interface for crosstab row and column groups.

Version:
  $Id: JRCrosstabGroup.java 3500 2010-03-03 15:56:41Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Method Summary
`JRCrosstabBucket` | `getBucket()` Returns the bucketing information for this group.
`JRCellContents` | `getHeader()` Returns the group header cell.
`java.lang.String` | `getName()` Returns the name of the group.
`JRCellContents` | `getTotalHeader()` Returns the group total header cell.
`byte` | `getTotalPosition()` Deprecated. Replaced by `getTotalPositionValue()`.
`CrosstabTotalPositionEnum` | `getTotalPositionValue()` Returns the position of the total row/column for this group.
`JRVariable` | `getVariable()` Returns the variable associated to this group.
`boolean` | `hasTotal()` Returns whether the group has a total row/column.

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Method Detail

### getName

    java.lang.String getName()

  Returns the name of the group.

  Returns:
    the name of the group
  See Also:
    `getVariable()`

### getTotalPosition

    byte getTotalPosition()

  Deprecated. Replaced by `getTotalPositionValue()`.

### getTotalPositionValue

    CrosstabTotalPositionEnum getTotalPositionValue()

  Returns the position of the total row/column for this group.

  A group can have a total row/column summing the values for all the entries in the group. E.g. if there is a Year group having Month as a subgroup, the total row/column for the Year group would sum the values for all the years and the total row/column for the Month group would sum the values for all the months of an year.

  Possible values for this attribute are:

  - `CrosstabTotalPositionEnum.NONE` - the group will not display a total row/column
  - `CrosstabTotalPositionEnum.START` - the group will display the total row/column before the group rows/columns
  - `CrosstabTotalPositionEnum.END` - the group will display the total row/column at the end of the group rows/columns

  Returns:
    the position of the total row/column for this group

### getBucket

    JRCrosstabBucket getBucket()

  Returns the bucketing information for this group.

  The bucketing information consists of grouping expression and group ordering.

  Returns:
    the bucketing information for this group

### getHeader

    JRCellContents getHeader()

  Returns the group header cell.

  The size of the header cell is computed based on the following rules (only the row header rules are listed, the ones for columns can be deducted by simmetrical duality):

  - the width of the header is given by `JRCrosstabRowGroup.getWidth()`
  - the height of the last row group header is given by the height of the base cell
  - the height of a non-last row group header is the sum of the next group header's height and the next group total header's height (0 if the next group doesn't have a total header)

  Should never return null, but empty cell contents instead.

  Returns:
    the group header cell

### getTotalHeader

    JRCellContents getTotalHeader()

  Returns the group total header cell.

  The size of a row group total header is computed based on the following rules:

  - the width is the sum the widths of this and subsequent row groups
  - the height is the height of the base cell for this total row

  Should never return null, but empty cell contents instead.

  Returns:
    the group total header cell

### getVariable

    JRVariable getVariable()

  Returns the variable associated to this group.

  Each group in the crosstab has a variable that can be used inside the group header as the current group value. The variable has the same name as the group and the same type as the bucket expression of the group.

  Returns:
    the variable associated to this group

### hasTotal

    boolean hasTotal()

  Returns whether the group has a total row/column.

  This method is currently equivalent to `getTotalPosition() != Bucket.TOTAL_POSITION_NONE` and is therefore redundant.

  Returns:
    whether the group has a total row/column

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com